Package org.apache.solr.client.solrj.response.json

# Class JacksonDataBindResponseParser<T>

java.lang.Object
org.apache.solr.client.solrj.response.ResponseParser
org.apache.solr.client.solrj.response.json.JacksonDataBindResponseParser<T>

public class JacksonDataBindResponseParser<T> extends ResponseParser
Parses JSON, deserializing to a domain type (class) via Jackson data-bind.

WARNING: This API is experimental and might change in incompatible ways in the next release.

## Constructor Summary

Constructors
Constructor
Description
`JacksonDataBindResponseParser(Class<T> typeParam)`

## Method Summary

Modifier and Type
Method
Description
`Collection<String>`
`getContentTypes()`
A well-behaved ResponseParser will return the content-types it supports.
`String`
`getWriterType()`
The writer type placed onto the request as the `wt` param.
`NamedList<Object>`
`processResponse(InputStream stream, String encoding)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JacksonDataBindResponseParser

public JacksonDataBindResponseParser(Class<T> typeParam)

## Method Details

### getWriterType

public String getWriterType()
Description copied from class: `ResponseParser`
The writer type placed onto the request as the `wt` param.

Specified by:
  `getWriterType` in class `ResponseParser`

### getContentTypes

public Collection<String> getContentTypes()
Description copied from class: `ResponseParser`
A well-behaved ResponseParser will return the content-types it supports.

Specified by:
  `getContentTypes` in class `ResponseParser`
Returns:
  the content-type values that this parser is capable of parsing. Never null. Empty means no enforcement.

### processResponse

public NamedList<Object> processResponse(InputStream stream, String encoding) throws IOException

Specified by:
  `processResponse` in class `ResponseParser`
Throws:
  `IOException`